> ## Documentation Index
> Fetch the complete documentation index at: https://docs.parceltracer.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve customer

> Retrieve the details of a specific customer by ID.



## OpenAPI

````yaml api-reference/schema.yaml get /customers/{id}/
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers:
  - url: https://api.parceltracer.com/v1/external/
    description: Parcel Tracer api endpoint
security: []
paths:
  /customers/{id}/:
    get:
      tags:
        - Customers
      summary: Retrieve customer
      description: Retrieve the details of a specific customer by ID.
      operationId: retrieve_customer
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
        - in: query
          name: include_locations
          schema:
            type: boolean
            default: false
          description: If true, includes customer locations in the response.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Customer'
              examples:
                CustomerRetrieved:
                  value:
                    id: 9721
                    name: Yasser
                    phone_number: '+9617322112'
                    secondary_phone_number: ''
                    email: yasser@email.com
                  summary: Example of resource retrieved successfully
          description: Successful retrieval
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Customer'
              examples:
                NotFoundError:
                  value:
                    error: 'true'
                    message: Resource not found.
                    details: 'detail: Not found.'
                  summary: Example of resource not found error
          description: Customer not found
      security:
        - MerchantAPIKey: []
components:
  schemas:
    Customer:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          maxLength: 255
        phone_number:
          type: string
        secondary_phone_number:
          type: string
        email:
          type: string
          format: email
      required:
        - id
        - name
        - phone_number
  securitySchemes:
    MerchantAPIKey:
      type: apiKey
      in: header
      name: X-Api-Key

````